Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.cas
Class ServiceProperties

    java.lang.Object
      org.acegisecurity.ui.cas.ServiceProperties

All Implemented Interfaces:
  InitializingBean

    public class ServiceProperties

extends Object
implements InitializingBean

Stores properties related to this CAS service.

Each web application capable of processing CAS tickets is known as a service. This class stores the properties that are relevant to the local CAS service, being the application that is being secured by the Acegi Security System for Spring.

Version:
  $Id: ServiceProperties.java,v 1.3 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`ServiceProperties()`

Method Summary
`void` | `afterPropertiesSet()`
`String` | `getService()` Represents the service the user is authenticating to.
`boolean` | `isSendRenew()` Indicates whether the `renew` parameter should be sent to the CAS login URL and CAS validation URL.
`void` | `setSendRenew(boolean sendRenew)`
`void` | `setService(String service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProperties

    public ServiceProperties()

Method Detail

### setSendRenew

    public void setSendRenew(boolean sendRenew)

### isSendRenew

    public boolean isSendRenew()

  Indicates whether the `renew` parameter should be sent to the CAS login URL and CAS validation URL.

  If `true`, it will force CAS to authenticate the user again (even if the user has previously authenticated). During ticket validation it will require the ticket was generated as a consequence of an explicit login. High security applications would probably set this to `true`. Defaults to `false`, providing automated single sign on.

  Returns:
    whether to send the `renew` parameter to CAS

### setService

    public void setService(String service)

### getService

    public String getService()

  Represents the service the user is authenticating to.

  This service is the callback URL belonging to the local Acegi Security System for Spring secured application. For example,

  `https://www.mycompany.com/application/j_acegi_cas_security_check`

  Returns:
    the URL of the service the user is authenticating to

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.